<% /*
    $Revision$
    $Id$

    File:           model_alg_srtgebouw.inc

    Description:    Vanuit CodeCharge gegenereerd model voor alg_srtgebouw

    Context:

    Notes:
*/
%>
<%
function model_alg_srtgebouw()
{
    var tab_key = getQParamInt("alg_srtgebouw_key", -1);
    this.table = "alg_srtgebouw";
    this.primary = "alg_srtgebouw_key";
    this.records_name = "alg_srtgebouws";
    this.record_name = "alg_srtgebouw";
    this.soft_delete = "alg_srtgebouw_verwijder";
    this.autfunction = "WEB_ALGMSU";
    this.record_title = L("alg_srtgebouw");
    this.records_title = L("alg_srtgebouw_m");


    this.fields = {
        "id": {
            "dbs": "alg_srtgebouw_key",
            "label": "Key",
            "typ": "key",
            "required": true,
            "filter": "exact",
            "seq": "alg_s_alg_srtgebouw_key"
        },
        "name": {
            "dbs": "alg_srtgebouw_omschrijving",
            "label": L("alg_srtgebouw_omschrijving"),
            "typ": "varchar",
            "translate": true,
            "required": true
        },
        "applicable": {
            "dbs": "alg_srtgebouw_passief",
            "label": L("alg_srtgebouw_passief"),
            "typ": "check",
            "invert": true
        }
    };


    this.REST_GET    = generic_REST_GET(this);
    this.REST_POST   = generic_REST_POST(this);
    this.REST_PUT    = generic_REST_PUT(this);
    this.REST_DELETE = generic_REST_DELETE(this);
}
%>